{% extends "scores/base.html" %}
{% import 'scores/macros.html' as macros %}

{% block body_id %}page-score{% endblock %}

{% block content %}
<table class=graph_1d>
  <thead>
    <tr>
      <th class=title>{{ "Temperament"|_ }}</th>
      <th class=description>{{ "Description"|_ }}</th>
      <th class=values>
        <ul>
          <li>{{ "Very Low"|_ }}</li>
          <li>{{ "Low"|_ }}</li>
          <li>{{ "Low Average"|_ }}</li>
          <li>{{ "High Average"|_ }}</li>
          <li>{{ "High"|_ }}</li>
          <li>{{ "Very High"|_ }}</li>
        </ul>
      </th>
      <th class=description>{{ "Description"|_ }}</th>
    </tr>
  </thead>
  <tbody>
    {{ macros.graph_row(result, 'ns') }}
    {{ macros.graph_row(result, 'ha') }}
    {{ macros.graph_row(result, 'rd') }}
    {{ macros.graph_row(result, 'ps') }}
  </tbody>
</table>

<table class=graph_1d>
  <thead>
    <tr>
      <th class=title>{{ "Character"|_ }}</th>
      <th class=description>{{ "Description"|_ }}</th>
      <th class=values>
        <ul><li>{{ "Very Low"|_ }}</li>
          <li>{{ "Low"|_ }}</li>
          <li>{{ "Low Average"|_ }}</li>
          <li>{{ "High Average"|_ }}</li>
          <li>{{ "High"|_ }}</li>
          <li>{{ "Very High"|_ }}</li>
        </ul>
      </th>
      <th class=description>{{ "Description"|_ }}</th>
    </tr>
  </thead>
  <tbody>
    {{ macros.graph_row(result, 'sd') }}
    {{ macros.graph_row(result, 'co') }}
    {{ macros.graph_row(result, 'st') }}
  </tbody>
</table>

<section class=graph_1d_legend>
  <ul>
    <li class=rawscore><span></span>{{ "Raw Score"|_ }}</li>
    <li class=tscore><span></span>{{ "T-Score"|_ }}</li>
    <li class=percentile><span></span>{{ "Percentile"|_ }}</li>
  </ul>
</section>

<hr>

<h1>{{ "Part 1: Quantitative Analysis"|_ }}</h1>

<h2>{{ "Self Report Scores"|_ }}</h2>

{% set v_result = validity.items_score %}
<div class=validity style="background-color: rgb({{ 250 - (v_result * 50) }}, {{ v_result * 40 }}, 50)">V{{ v_result }}</div>

<table>
  <thead>
    <tr>
      <th>{{ "Trait/Subtrait"|_ }}</th>
      <th>{{ "Avg. Raw Score"|_ }}</th>
      <th>{{ "T-Score"|_ }}</th>
      <th>{{ "Percentile Score"|_ }}</th>
    </tr>
  </thead>
  <tbody>
    {% for maintrait in result.maintrait_questions.keys() %}
    {{ macros.trait_table(result, maintrait) }}
    {% endfor %}
  </tbody>
</table>

<hr>

<h1>{{ "Part 2: Qualitative Analysis"|_ }}</h1>

<h2>{{ "Temperament Scores"|_ }}</h2>

<dl>
  {{ macros.qualitative_score(result, 'ns') }}
  {{ macros.qualitative_score(result, 'ha') }}
  {{ macros.qualitative_score(result, 'rd') }}
  {{ macros.qualitative_score(result, 'ps') }}
</dl>

<h2>{{ "Character Scores"|_ }}</h2>
<dl>
  {{ macros.qualitative_score(result, 'sd') }}
  {{ macros.qualitative_score(result, 'co') }}
  {{ macros.qualitative_score(result, 'st') }}
</dl>

<hr>

<h2>{{ "Temperament in 2D"|_ }}</h2>
<div class=graphs_2d>
  {{ macros.graph_2d(result, ['ns', 'ha']) }}
  {{ macros.graph_2d(result, ['ns', 'rd']) }}
  {{ macros.graph_2d(result, ['rd', 'ha']) }}
</div>


<h2>{{ "Character in 2D"|_ }}</h2>
<div>
  {{ macros.graph_2d(result, ['sd', 'co']) }}
  {{ macros.graph_2d(result, ['sd', 'st']) }}
  {{ macros.graph_2d(result, ['co', 'st']) }}
</div>

<hr>

<h2>{{ "Temperament in 3D"|_ }}</h2>
<div>
  {{ macros.graph_3d(graphs_3d['temperament'], graph_3d_labels['temperament'], True) }}
  <div>
    <h2>{{ "Character in 3D"|_ }}</h2>
    <div>
      {{ macros.graph_3d(graphs_3d['character'], graph_3d_labels['character']) }}
    </div>
  </div>
</div>
{% endblock %}
